materio_sapi.search_autocomplete:
  path: '/materio_sapi/form/autocomplete'
  defaults:
    _controller: '\Drupal\materio_sapi\Controller\FormAutocomplete::Autocomplete'
    _format: json
  requirements:
    _permission: 'access materio search'

materio_sapi.search_form:
  path: '/materio_sapi/search_form'
  defaults:
    _controller: '\Drupal\materio_sapi\Controller\AjaxSearchForm::getForm'
    _format: json
  requirements:
    _permission: 'access materio search'

# materio_sapi.materio_sapi_search_form:
#   path: '/materio_sapi/form/materio_sapi_search'
#   defaults:
#     _form: '\Drupal\materio_sapi\Form\MaterioSapiSearchForm'
#     _title: 'MaterioSapiSearchForm'
#   requirements:
#     _access: 'TRUE'

materio_sapi.getresults:
  path: '/materio_sapi/getresults'
  defaults:
    _controller: '\Drupal\materio_sapi\Controller\Base::getResults'
    _format: json
  requirements:
    _permission: 'access materio search'

materio_sapi.base:
  path: '/base'
  defaults:
    _controller: '\Drupal\materio_sapi\Controller\Base::pageHandler'
  requirements:
    _permission: 'access materio search'
